# Class: vdi&#95;nbd&#95;server&#95;info

Details for connecting to a VDI using the Network Block Device protocol

## Fields for class: vdi&#95;nbd&#95;server&#95;info

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`address`           |`string`            |_RO/runtime_   |An address on which the server can be reached; this can be IPv4, IPv6, or a DNS name.|
|`cert`              |`string`            |_RO/runtime_   |The TLS certificate of the server       |
|`exportname`        |`string`            |_RO/runtime_   |The exportname to request over NBD. This holds details including an authentication token, so it must be protected appropriately. Clients should regard the exportname as an opaque string or token.|
|`port`              |`int`               |_RO/runtime_   |The TCP port                            |
|`subject`           |`string`            |_RO/runtime_   |For convenience, this redundant field holds a DNS &#40;hostname&#41; subject of the certificate. This can be a wildcard, but only for a certificate that has a wildcard subject and no concrete hostname subjects.|

## RPCs associated with class: vdi&#95;nbd&#95;server&#95;info

Class vdi&#95;nbd&#95;server&#95;info has no RPCs associated with it.
